: Interface Preferences

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calypso.util
Interface Preferences

public abstract interface Preferences

This is an interface to get things from the Preferences database.

See Also:
  `PreferencesFactory`

Method Summary
`java.util.Properties` | `getAsProperties()` Return the preferences as a Properties object
`boolean` | `getBoolean(java.lang.String prefname)` Given a name of a preference, return its value as a boolean.
`boolean` | `getBoolean(java.lang.String prefname, boolean defaultValue)` Given a name of a preference, return its value as a boolean.
`java.io.File` | `getFile(java.lang.String prefname, java.io.File defaultValue)` Given a name of a preference, return its value as an File.
`int` | `getInt(java.lang.String prefname)` Given a name of a preference, return its value as an int.
`int` | `getInt(java.lang.String prefname, int defaultValue)` Given a name of a preference, return its value as an int.
`java.lang.String` | `getString(java.lang.String prefname)` Given a name of a preference, return its value as a String.
`java.lang.String` | `getString(java.lang.String prefname, java.lang.String defaultValue)` Given a name of a preference, return its value as a String.
`void` | `putBoolean(java.lang.String prefname, boolean value)` Assign a boolean value to the given preference.
`void` | `putInt(java.lang.String prefname, int value)` Assign an int value to the given preference.
`void` | `putString(java.lang.String prefname, java.lang.String value)` Assign a String value to the given preference.

Method Detail

### getString

    public java.lang.String getString(java.lang.String prefname,
                                      java.lang.String defaultValue)

  Given a name of a preference, return its value as a String. If it's not defined, return the given default.

### getString

    public java.lang.String getString(java.lang.String prefname)

  Given a name of a preference, return its value as a String.

### getInt

    public int getInt(java.lang.String prefname,
                      int defaultValue)

  Given a name of a preference, return its value as an int. If it's not defined, return the given default.

### getInt

    public int getInt(java.lang.String prefname)

  Given a name of a preference, return its value as an int.

### getBoolean

    public boolean getBoolean(java.lang.String prefname,
                              boolean defaultValue)

  Given a name of a preference, return its value as a boolean. If it's not defined, return the given default.

### getBoolean

    public boolean getBoolean(java.lang.String prefname)

  Given a name of a preference, return its value as a boolean.

### getFile

    public java.io.File getFile(java.lang.String prefname,
                                java.io.File defaultValue)

  Given a name of a preference, return its value as an File. If it's not defined, return the given default.

### putString

    public void putString(java.lang.String prefname,
                          java.lang.String value)

  Assign a String value to the given preference.

### putInt

    public void putInt(java.lang.String prefname,
                       int value)

  Assign an int value to the given preference.

### putBoolean

    public void putBoolean(java.lang.String prefname,
                           boolean value)

  Assign a boolean value to the given preference.

### getAsProperties

    public java.util.Properties getAsProperties()

  Return the preferences as a Properties object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD